module.exports = app => {
  const adminlogs = require("../controllers/adminlogs.controller.js");
  var router = require("express").Router();
  router.post("/add", adminlogs.add);
  router.post("/admin_login", adminlogs.admin_login);
  router.post("/all", adminlogs.all);
  router.post("/addbooks", adminlogs.addbooks);
  router.post("/addcompany", adminlogs.addcompany);
  router.post("/addteacher", adminlogs.addteacher);
  router.post("/alladmin", adminlogs.alladmin);
  router.post("/alluser", adminlogs.alluser);
  router.post("/allbooks", adminlogs.allbooks);
  router.post("/allclient", adminlogs.allclient);
  router.post("/allteacher", adminlogs.allteacher);
  router.post("/deletebook", adminlogs.deletebook);
  router.post("/deletecompany", adminlogs.deletecompany);
  router.post("/updatebooks", adminlogs.updatebooks);
  router.post("/updatecompany", adminlogs.updatecompany);
  router.post("/updateteacher", adminlogs.updateteacher);
  app.use('/adminlogs', router);
};
